Summary:	Vim plugin: Secure, user-configurable modeline support for Vim
Summary(pl.UTF-8):	Wtyczka Vima: bezpieczna, konfigurowalna obsługa linii trybów dla Vima
Name:		vim-plugin-securemodelines
Version:	20080424
Release:	2%{?tld}
# same as Vim
License:	Charityware
Group:		Applications/Editors/Vim
# Source0Download: http://www.vim.org/scripts/download_script.php?src_id=8598
Source0:	securemodelines.vim
URL:		http://www.vim.org/scripts/script.php?script_id=1876
Requires:	vim-rt >= 4:7.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_vimdatadir	%{_datadir}/vim/vimfiles

%description
Vim's internal modeline support allows all sorts of annoying and
potentially insecure options to be set. This script implements a much
more heavily restricted modeline parser that permits only
user-specified options to be set. 

%description -l pl.UTF-8
Wewnętrzna obsługa linii trybów (modeline) Vima pozwala na włączanie
dowolonych uciążliwych i potencjalnie niebezpiecznych opcji. Ten
skrypt jest implementacją dużo bardziej restrykcyjnego analizatora
linii trybów, pozwalającego na ustawianie tylko opcji określonych
przez użytkownika.
 
%prep
%setup -q -c -T
install %{SOURCE0} securemodelines.vim

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_vimdatadir}/plugin}
install securemodelines.vim $RPM_BUILD_ROOT%{_vimdatadir}/plugin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_vimdatadir}/plugin/*
%changelog
* Mon Apr 01 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/vim-plugin-securemodelines.git;a=log;h=master

* Tue Feb 17 2009 Mariusz Mazur <mmazur@pld-linux.org> 624a453
- rel 2; stbr

* Tue Feb 17 2009 Mariusz Mazur <mmazur@pld-linux.org> f75d8ce
- Add formatoptions to the list of allowed overrides.

* Mon Aug 11 2008 Elan Ruusamäe <glen@pld-linux.org> d4a32ad
- update to 20080424

* Sun Jul 20 2008 Jakub Bogusz <qboosh@pld-linux.org> 47ac96e
- pl

* Thu May 29 2008 Elan Ruusamäe <glen@pld-linux.org> 1ccabc3
- in SOURCES, not in df

* Thu May 29 2008 Elan Ruusamäe <glen@pld-linux.org> 4f5c9d7
- workaround for df; rel 3

* Thu May 29 2008 Elan Ruusamäe <glen@pld-linux.org> 715885a
- save for distfiles from http://www.vim.org/scripts/download_script.php?src_id=7142

* Thu May 29 2008 Elan Ruusamäe <glen@pld-linux.org> a72b038
- vimdatadir is in vim-rt package; rel 2

* Mon Jan 21 2008 Elan Ruusamäe <glen@pld-linux.org> dc7b0f9
- new. solves the syntax modelines not recognized for root user problem

